mnoGoSearch 3.3.9 reference manual: Full-featured search engine software
Prev |  | Next

# UseCRC32URLId

## Name

UseCRC32URLId -- defines whether to use `CRC32` for URL `ID` generation

`indexer.conf`

## Synopsis

UseCRC32URLId {yes | no}

## Description

UseCRC32URLId defines whether to use `CRC32` for URL `ID` generation.

The default value is `no`, which means mnoGoSearch relies on SQL sequences or auto-increment columns for generating URL `ID`s.

Setting UseCRC32URLId to `yes` can be helpful when using mnoGoSearch with a database software not having sequences or auto-increment columns.

## Examples

    UseCRC32URLId yes

Prev | Home | Next
UseLocalCachedCopy | Up | UseNumericOperators